## Store this player's inventory and xp, clear it, then transfer it into a new grave
# Store and clear items without deleting item on player's cursory
clear @s *[enchantments~[{"enchantment":"minecraft:vanishing_curse"}]]
execute unless score $loseItems multipack.graves matches 0 run clear @s #m_graves:lost_items
data modify storage m_graves:grave_storage Items set from entity @s Inventory
execute if score $keepItems multipack.graves matches 0 run function m_graves:graves/clear
execute unless score $keepItems multipack.graves matches 0 run function m_graves:graves/keep

# Store and clear xp
execute unless score $keepXp multipack.graves matches 0 run data modify storage m_graves:grave_storage Xp set value 0
execute if score $keepXp multipack.graves matches 0 run xp add @s -1
execute if score $keepXp multipack.graves matches 0 store result storage m_graves:grave_storage Xp int 7 run data get entity @s XpLevel
execute if score $keepXp multipack.graves matches 0 run xp set @s 0
execute if score $keepXp multipack.graves matches 0 run xp set @s 0 levels

# If 'm_graves:grave_storage' has neither xp nor items or this player is in the void, return 0
execute if data storage m_graves:grave_storage {Xp:0} unless data storage m_graves:grave_storage Items[0] run return 0
execute if predicate m_graves:in_void run return 0

# Otherwise, place grave
summon marker ~ ~ ~ {Tags:["multipack.grave_marker"]}
summon interaction ~ ~ ~ {Tags:["multipack.grave_interaction"],width:1.3f,height:1f}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"coarse_dirt"},transformation:{translation:[-0.75f,0f,-0.5f],left_rotation:[0f,0f,0f,1f],scale:[1.5f,0.126f,1f],right_rotation:[0f,0f,0f,1f]}}
summon block_display ~ ~ ~ {Tags:["multipack.grave_display"],block_state:{Name:"cobblestone"},transformation:{translation:[-0.577f,0.033f,-0.376f],left_rotation:[0f,0f,0.125f,1f],scale:[0.125f,1f,0.74f],right_rotation:[0f,0f,0f,1f]}}
data modify entity @e[distance=..0.1,type=marker,tag=multipack.grave_marker,limit=1] data.Items set from storage m_graves:grave_storage Items
execute if score @s multipack.graves matches -2147483648..2147483647 run scoreboard players add $graveID multipack.persist 1
execute unless score @s multipack.graves matches -2147483648..2147483647 run scoreboard players operation @s multipack.graves = $graveID multipack.persist
scoreboard players operation @e[distance=..0.1,type=marker,tag=multipack.grave_marker,limit=1] multipack.graves = @s multipack.graves

# Display the dead player's name. If there are multiple dead players instead display "R.I.P"
execute store result score &playersDead multipack.temp run execute if entity @a[scores={multipack.death=1..}]
execute if score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.55f,0.6f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"selector":"@p[scores={multipack.death=1..}]"}',background:0}
execute unless score &playersDead multipack.temp matches 1 run summon text_display ~ ~ ~ {Tags:["multipack.grave_display"],transformation:{left_rotation:[0f,0f,0.125f,1f],right_rotation:[0f,1f,0f,1f],translation:[-0.55f,0.6f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"text":"R.I.P"}',background:0}
scoreboard players reset &playersDead multipack.temp
